using UIShare.PubEvent;
using Prism.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ACP.Views
{
    /// <summary>
    /// ShellView.xaml 的交互逻辑
    /// </summary>
    public partial class ShellView : Window
    {
        public ShellView(IEventAggregator eventAggregator)
        {
            InitializeComponent();
            //注册灰度遮罩层
            eventAggregator.GetEvent<OverlayEvent>().Subscribe(ShowOverlay);
            eventAggregator.GetEvent<WaitingEvent>().Subscribe(ShowWaitinglay);
        }

        private void ShowWaitinglay(bool arg)
        {
            Waitinglay.Visibility = arg ? Visibility.Visible : Visibility.Collapsed;
        }

        private void ShowOverlay(bool arg)
        {
            Overlay.Visibility = arg ? Visibility.Visible : Visibility.Collapsed;
        }


        private void ColorZone_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (e.LeftButton == MouseButtonState.Pressed)
            {
                Window.GetWindow(this)?.DragMove();
            }
        }
    }
}
